using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using HySoft.DBUtility;//Please add references
namespace HySoft.BaseCallCenter.DAL
{
	/// <summary>
	/// 数据访问类:T_Wo_WorkOrderSupplies
	/// </summary>
	public partial class T_Wo_WorkOrderSupplies
	{
		public T_Wo_WorkOrderSupplies()
		{}
		#region  Method



		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderSupplies model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_Wo_WorkOrderSupplies(");
			strSql.Append("F_WORKORDERID,F_SUPPLIESID,F_COUNT,F_DES)");
			strSql.Append(" values (");
			strSql.Append("@F_WORKORDERID,@F_SUPPLIESID,@F_COUNT,@F_DES)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WORKORDERID", SqlDbType.Int,4),
					new SqlParameter("@F_SUPPLIESID", SqlDbType.Int,4),
					new SqlParameter("@F_COUNT", SqlDbType.Decimal,9),
					new SqlParameter("@F_DES", SqlDbType.NVarChar,500)};
			parameters[0].Value = model.F_WORKORDERID;
			parameters[1].Value = model.F_SUPPLIESID;
			parameters[2].Value = model.F_COUNT;
			parameters[3].Value = model.F_DES;

			object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderSupplies model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_Wo_WorkOrderSupplies set ");
			strSql.Append("F_WORKORDERID=@F_WORKORDERID,");
			strSql.Append("F_SUPPLIESID=@F_SUPPLIESID,");
			strSql.Append("F_COUNT=@F_COUNT,");
			strSql.Append("F_DES=@F_DES");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WORKORDERID", SqlDbType.Int,4),
					new SqlParameter("@F_SUPPLIESID", SqlDbType.Int,4),
					new SqlParameter("@F_COUNT", SqlDbType.Decimal,9),
					new SqlParameter("@F_DES", SqlDbType.NVarChar,500),
					new SqlParameter("@F_ID", SqlDbType.Int,4)};
			parameters[0].Value = model.F_WORKORDERID;
			parameters[1].Value = model.F_SUPPLIESID;
			parameters[2].Value = model.F_COUNT;
			parameters[3].Value = model.F_DES;
			parameters[4].Value = model.F_ID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_ID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Wo_WorkOrderSupplies ");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ID", SqlDbType.Int,4)
};
			parameters[0].Value = F_ID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_IDlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Wo_WorkOrderSupplies ");
			strSql.Append(" where F_ID in ("+F_IDlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderSupplies GetModel(int F_ID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_ID,F_WORKORDERID,F_SUPPLIESID,F_COUNT,F_DES from T_Wo_WorkOrderSupplies ");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ID", SqlDbType.Int,4)
};
			parameters[0].Value = F_ID;

			HySoft.BaseCallCenter.Model.T_Wo_WorkOrderSupplies model=new HySoft.BaseCallCenter.Model.T_Wo_WorkOrderSupplies();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				if(ds.Tables[0].Rows[0]["F_ID"]!=null && ds.Tables[0].Rows[0]["F_ID"].ToString()!="")
				{
					model.F_ID=int.Parse(ds.Tables[0].Rows[0]["F_ID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_WORKORDERID"]!=null && ds.Tables[0].Rows[0]["F_WORKORDERID"].ToString()!="")
				{
					model.F_WORKORDERID=int.Parse(ds.Tables[0].Rows[0]["F_WORKORDERID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_SUPPLIESID"]!=null && ds.Tables[0].Rows[0]["F_SUPPLIESID"].ToString()!="")
				{
					model.F_SUPPLIESID=int.Parse(ds.Tables[0].Rows[0]["F_SUPPLIESID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_COUNT"]!=null && ds.Tables[0].Rows[0]["F_COUNT"].ToString()!="")
				{
					model.F_COUNT=decimal.Parse(ds.Tables[0].Rows[0]["F_COUNT"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_DES"]!=null && ds.Tables[0].Rows[0]["F_DES"].ToString()!="")
				{
					model.F_DES=ds.Tables[0].Rows[0]["F_DES"].ToString();
				}
				return model;
			}
			else
			{
				return null;
			}
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_ID,F_WORKORDERID,F_SUPPLIESID,F_COUNT,F_DES ");
			strSql.Append(" FROM T_Wo_WorkOrderSupplies ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_ID,F_WORKORDERID,F_SUPPLIESID,F_COUNT,F_DES ");
			strSql.Append(" FROM T_Wo_WorkOrderSupplies ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_Wo_WorkOrderSupplies ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_ID desc");
			}
			strSql.Append(")AS Row, T.*  from T_Wo_WorkOrderSupplies T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Wo_WorkOrderSupplies";
			parameters[1].Value = "F_ID";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  Method
	}
}

